summary refs log tree commit diff
path: root/home
diff options
context:
space:
mode:
Diffstat (limited to 'home')
-rwxr-xr-xhome/.local/bin/def2
-rwxr-xr-xhome/.local/bin/nasd12
2 files changed, 7 insertions, 7 deletions
diff --git a/home/.local/bin/def b/home/.local/bin/def
index ea8b9536..6a1681d3 100755
--- a/home/.local/bin/def
+++ b/home/.local/bin/def
@@ -42,6 +42,6 @@ for header in $headers; do
 		| tail -n 1
 	)
 	[ $? -ne 0 -o "$defined" = "$macro" ] && continue
-	echo "#include <$header>"
+	echo "#include <${header}>"
 	echo "$defined"
 done
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
index 203fdd2d..d64b2c3a 100755
--- a/home/.local/bin/nasd
+++ b/home/.local/bin/nasd
@@ -1,9 +1,9 @@
 #!/bin/sh
-set -e -u
+set -eu
 
 dir=$(mktemp -d)
-echo 'bits 64' > $dir/input
-cat >> $dir/input
-nasm -o $dir/output $dir/input || true
-ndisasm -b 64 $dir/output || true
-rm -r $dir
+echo 'bits 64' > "${dir}/input"
+cat >> "${dir}/input"
+nasm -o "${dir}/output" "${dir}/input" || true
+ndisasm -b 64 "${dir}/output" || true
+rm -r "$dir"
to git.causal.agency MakefileJune McEnroe 2021-01-20Remove Lua supportJune McEnroe 2021-01-20Fix tests for diff spansJune McEnroe 2021-01-20Avoid matching ':' in make tagsJune McEnroe 2021-01-19Prefer tag matches not preceded by [[:alnum:]]June McEnroe 2021-01-19Escape \ and / in mtags search patternsJune McEnroe 2021-01-20Use mtags in source-filterJune McEnroe 2021-01-19Add mtags to generate tags for make and mdocJune McEnroe 2021-01-19Map tags to IDs using only [[:alnum:]-._]June McEnroe 2021-01-19Don't use a pager if reading standard inputJune McEnroe 2021-01-19Support BSD make syntax and match *.amJune McEnroe 2021-01-19Match tab following escaped newline in make assignmentsJune McEnroe 2021-01-18Allow matching lexers using first input lineJune McEnroe